PostComment
curl --request POST \
--url https://developer.synq.io/api/issues/v2/{issue_id}/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"comment": "<string>",
"time": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://developer.synq.io/api/issues/v2/{issue_id}/comment"
payload = {
"actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
},
"comment": "<string>",
"time": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
comment: '<string>',
time: '2023-11-07T05:31:56Z'
})
};
fetch('https://developer.synq.io/api/issues/v2/{issue_id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}synq.issues.v2.IssuesService
PostComment
Post a comment on an issue.
POST
/
api
/
issues
/
v2
/
{issue_id}
/
comment
PostComment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the issue to post a comment on.
Body
application/json
Actor posting the comment.
- Actor
- Actor
- Actor
Show child attributes
Show child attributes
Comment to post.
Time at which the comment was posted. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true
Examples:
"2023-01-15T01:30:15.01Z"
"2024-12-25T12:00:00Z"
Response
200 - application/json
Success
⌘I